# Gnome::Gda::HandlerNumerical Class Reference
[Data Handlers]

Default handler for numeric values. More...

Inheritance diagram for Gnome::Gda::HandlerNumerical:
[legend]
Collaboration diagram for Gnome::Gda::HandlerNumerical:
[legend]

List of all members.

## Public Member Functions

virtual | ~HandlerNumerical ()
GdaHandlerNumerical* | gobj ()
| Provides access to the underlying C GObject.
const GdaHandlerNumerical* | gobj () const
| Provides access to the underlying C GObject.
GdaHandlerNumerical* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Static Public Member Functions

static Glib::RefPtr < HandlerNumerical > | create ()

## Protected Member Functions

| HandlerNumerical ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr < Gnome::Gda::HandlerNumerical > | wrap (GdaHandlerNumerical* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Default handler for numeric values.

## Constructor & Destructor Documentation

virtual Gnome::Gda::HandlerNumerical::~HandlerNumerical | ( | ) | `[virtual]`

Gnome::Gda::HandlerNumerical::HandlerNumerical | ( | ) | `[protected]`

## Member Function Documentation

static Glib::RefPtr<HandlerNumerical> Gnome::Gda::HandlerNumerical::create | ( | ) | `[static]`

const GdaHandlerNumerical* Gnome::Gda::HandlerNumerical::gobj | ( | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::DataHandler.

GdaHandlerNumerical* Gnome::Gda::HandlerNumerical::gobj | ( | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::DataHandler.

GdaHandlerNumerical* Gnome::Gda::HandlerNumerical::gobj_copy | ( | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Friends And Related Function Documentation

Glib::RefPtr< Gnome::Gda::HandlerNumerical > wrap | ( | GdaHandlerNumerical * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- libgdamm/handlernumerical.h